<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Name: VZVZ Opleveren Contactmomenten
Description: Opleveren Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000">
   <title>VZVZ Opleveren Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /
Item: (opleverenContactmomenten)
-->

   <rule context="/" id="tmp-r-fd65288a-ffe7-433a-b781-123fcbe43c80">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900350NL)&gt;=1 ">(opleverenContactmomenten): element hl7:PRPA_IN900350NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900350NL)&lt;=1">(opleverenContactmomenten): element hl7:PRPA_IN900350NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL"
         id="tmp-r-68764ef1-c1c4-450a-b884-9a8b485c7914">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenContactmomenten): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess
Item: (opleverenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900350NL/hl7:ControlActProcess"
         id="tmp-r-54197c26-ae62-4816-b4e1-ff88003eb908">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.10-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']])&gt;=1 ">(opleverenContactmomenten): element hl7:subject[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.10
Context: /hl7:PRPA_IN900350NL/hl7:ControlActProcess/hl7:subject[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.201']]
Item: (opleverenContactmomenten)
--></pattern>
