<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Name: VZVZ Opleveren Labuitslagen
Description: Opleveren Labuitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000">
   <title>VZVZ Opleveren Labuitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /
Item: (opleverenLabUitslagen)
-->

   <rule context="/" id="tmp-r-4f32807e-c1ac-4684-92d6-3272d6ab5604">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&gt;=1 ">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&lt;=1">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02"
         id="tmp-r-aad1a842-8925-46f3-8cfe-1eb5141b2e0c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenLabUitslagen): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess"
         id="tmp-r-be97d25a-e49b-4099-8839-3dc6e8b2c6cf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&gt;=1 ">(opleverenLabUitslagen): element hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]"
         id="tmp-r-f01e3334-f836-4559-b2c6-5685284903da">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-2c320a27-0b5c-4f82-bf54-6b8d2fe3f28c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('GROUPER')">(opleverenLabUitslagen): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenLabUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenLabUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-cfd337b7-c4ac-4e10-a91a-ad0ea009a7aa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.6')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-01ea3cc1-6d93-49a9-9ae7-ea34dd2fa5a0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code '26436-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']"
         id="tmp-r-b031e17b-0a16-4dc6-94f9-48f65a20ab44">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget"
         id="tmp-r-8b1ee29f-2589-453e-a7ae-5eff9e6476b5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('RCT')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenLabUitslagen): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenLabUitslagen): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient"
         id="tmp-r-fa54dd90-35d8-4cc0-9cfb-5fb0d9fcda6f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('PAT')">(opleverenLabUitslagen): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-095d8e96-3b43-4ac2-bb36-d84a45464b19">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@extension">(opleverenLabUitslagen): attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]
Item: (opleverenLabUitslagen)
-->
   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('COMP')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
