<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Name: VZVZ Opleveren Algemene Uitslagen
Description: Opleveren Algemene Uitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000">
   <title>VZVZ Opleveren Algemene Uitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/" id="tmp-r-59a56a5c-cc18-4be9-aa9c-2200ea3b879d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:POOB_IN990003NL)&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:POOB_IN990003NL)&lt;=1">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL"
         id="tmp-r-360b65a4-a885-4af9-b84a-d53f36983fbb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:ControlActProcess)&lt;=1">(opleverenAlgemeneUitslagen): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess"
         id="tmp-r-003449b5-7483-4d76-bf15-2b667b6c1ac7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenAlgemeneUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]"
         id="tmp-r-8a6bbdff-b51e-463d-907c-b64b6760b561">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'])&gt;=1 and not(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']"
         id="tmp-r-461918a9-478f-4894-ac2e-4f4460f89d9c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@classCode)=('CLUSTER')">(opleverenAlgemeneUitslagen): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenAlgemeneUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenAlgemeneUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenAlgemeneUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:participant[@typeCode='RESP'])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:participant[@typeCode='RESP'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="count(hl7:participant[@typeCode='CST'])&lt;=1">(opleverenAlgemeneUitslagen): element hl7:participant[@typeCode='CST'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']"
         id="tmp-r-ac9a4bfb-f7d9-4c00-8b26-6fc33b56d0b6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenAlgemeneUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.8')">(opleverenAlgemeneUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.8' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:code[(@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1a6bdb98-dc77-48be-9f21-b3ca8ad8ddf5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenAlgemeneUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="@nullFlavor or (@code='27899-4' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenAlgemeneUitslagen): de elementwaarde MOET een zijn van 'code '27899-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:statusCode[@code='completed']
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:statusCode[@code='completed']"
         id="tmp-r-a852e7ed-29f4-4a33-af2b-2fa621ad29d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenAlgemeneUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenAlgemeneUitslagen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget"
         id="tmp-r-dc1d52b6-2666-4876-ad55-8db0a5326b48">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTargetMinimal): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTargetMinimal): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(CDArecordTargetMinimal): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTargetMinimal): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-971c9122-5d4f-44a4-b9f9-50ac53e20dbb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTargetMinimal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTargetMinimal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTargetMinimal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTargetMinimal): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTargetMinimal): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-0ea4c3da-bbfd-4037-88bd-943bf145dbe0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(CDArecordTargetMinimal): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="@extension">(CDArecordTargetMinimal): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-r-32c3483c-6880-429a-b7cb-d3e2298916d2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@use) or string-length(@use)&gt;0">(Adres): attribuut @use MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.23-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(Adres): de waarde van use MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.23' PostalAddressUseNL (DYNAMISCH).</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:county|hl7:city|hl7:country|hl7:delimiter|hl7:unitID)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:streetName)&lt;=1">(Adres): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(Adres): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(Adres): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(Adres): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:postalCode)&lt;=1">(Adres): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:county)&lt;=1">(Adres): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:city)&lt;=1">(Adres): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:country)&lt;=1">(Adres): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:unitID)&lt;=1">(Adres): element hl7:unitID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="count(hl7:useablePeriod)&lt;=1">(Adres): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName"
         id="tmp-r-f24f1c54-fb13-467f-be67-9524168190ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber"
         id="tmp-r-0cbbce70-deb2-4bb0-861f-5d2d13285d72">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:buildingNumberSuffix
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-r-6e3a7208-0146-4e96-b1b3-92050ae14ae3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:additionalLocator
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:additionalLocator"
         id="tmp-r-b3c34e69-14a2-484d-8d8e-db4e54469ddb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="text()='to' or text()='by'">(Adres): de element content van hl7:additionalLocator MOET ''to' of 'by'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode"
         id="tmp-r-5b6262de-9374-42ca-af0d-8f5c478e42c8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:county
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:county"
         id="tmp-r-47ccece3-5e46-4f96-9ecb-c0520e571fb0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="@nullFlavor or not(@code) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.17-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Adres): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.101.11.17 Gemeenten (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.17-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Adres): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.101.11.17 Gemeenten (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city"
         id="tmp-r-d0a7eef4-f371-4c9e-b130-3b6f72330f01">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:country"
         id="tmp-r-ffaeda4b-5ad1-4e56-a0b0-59c0cc5392fe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="@nullFlavor or not(@code) or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.13-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Adres): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.101.11.13 Land (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.13-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Adres): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.101.11.13 Land (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:delimiter
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:delimiter"
         id="tmp-r-730e6c83-1112-4af3-838f-fcb35f9a1d6c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:unitID
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:unitID"
         id="tmp-r-4e8d904f-5916-4dad-94a4-bf0f4994e0a2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.2
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:useablePeriod
Item: (Adres)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:useablePeriod"
         id="tmp-r-32ad76de-aaab-4835-bde8-bbaa4f6c310b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.2-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Adres): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-7080c0e6-b556-462f-9f0b-32b1336d3781">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTargetMinimal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTargetMinimal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTargetMinimal): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:name)&lt;=1">(CDArecordTargetMinimal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTargetMinimal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTargetMinimal): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTargetMinimal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:birthplace)&lt;=1">(CDArecordTargetMinimal): element hl7:birthplace komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-91bd247d-f80c-4207-a5d7-b63353df11d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@use) or string-length(@use)&gt;0">(NaamPersoon): attribuut @use MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@use) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van use MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.18' EntityNameUseNL (DYNAMISCH).</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:suffix|hl7:delimiter)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="count(hl7:validTime)&lt;=1">(NaamPersoon): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given"
         id="tmp-r-742aa7b3-bb90-45e8-b11f-b8aa3925b19c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.19-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.19' NaamDeelGivenQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:prefix"
         id="tmp-r-a6319db7-c0f3-4720-926d-f68337e274ab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.20-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.20' NaamDeelPrefixQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family"
         id="tmp-r-e6eed3f8-abc7-4faf-ba2c-5f4a15b0dffd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.21-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.21' NaamDeelFamilyQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:suffix
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:suffix"
         id="tmp-r-28b7396e-01e0-4fb9-86e7-a153a3fe2551">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or string-length(@qualifier)&gt;0">(NaamPersoon): attribuut @qualifier MOET datatype 'set_cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.2.4.3.11.60.101.11.22-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(NaamPersoon): de waarde van qualifier MOET worden gekozen uit waardelijst '2.16.840.1.113883.2.4.3.11.60.101.11.22' NaamDeelSuffixQualifier (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:delimiter
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:delimiter"
         id="tmp-r-1614bed9-6c25-4d93-af00-de530583b1ef">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.101.10.1
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:validTime
Item: (NaamPersoon)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:validTime"
         id="tmp-r-e89f9c36-8bad-4d89-813a-f2e3b27301b3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.101.10.1-2014-11-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NaamPersoon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-03d56244-6e23-4e44-9259-a715a599d860">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTargetMinimal): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTargetMinimal): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.1 Administrative Gender (HL7 V3) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-b2dd36eb-21f7-4ca9-8f52-a1e86d3265f2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace"
         id="tmp-r-9f21723e-47a0-4fd4-a7d5-a1be2022ae0a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:place)&gt;=1 ">(CDArecordTargetMinimal): element hl7:place is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTargetMinimal): element hl7:place komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place"
         id="tmp-r-5c3432bd-05ba-4cbf-9092-1d1d88b14567">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:addr)&gt;=1 ">(CDArecordTargetMinimal): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTargetMinimal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr"
         id="tmp-r-e6d8324b-e4ab-4d25-a761-555390ca611f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="elmcount" value="count(hl7:city|hl7:country)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="$elmcount&gt;=1">(CDArecordTargetMinimal): keuze (hl7:city of hl7:country) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="$elmcount&lt;=2">(CDArecordTargetMinimal): keuze (hl7:city of hl7:country) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:city)&lt;=1">(CDArecordTargetMinimal): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="count(hl7:country)&lt;=1">(CDArecordTargetMinimal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:city"
         id="tmp-r-5ffc09dd-cab1-4c55-8080-8676db3b6467">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.105
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country
Item: (CDArecordTargetMinimal)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr/hl7:country"
         id="tmp-r-e0f6fd04-c8ac-4867-a312-a0c5b7fd3e16">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.105-2014-08-18T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTargetMinimal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9031
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']
Item: (kezo-CDAInhoudsverantwoordelijke)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']"
         id="tmp-r-cd018228-ca66-4427-bed4-22e285b07a42">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(kezo-CDAInhoudsverantwoordelijke): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-CDAInhoudsverantwoordelijke): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(kezo-CDAInhoudsverantwoordelijke): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9031-2014-11-13T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-CDAInhoudsverantwoordelijke): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:time
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:time"
         id="tmp-r-a5e60556-a279-4c9e-91dc-5fa09a5483bd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole"
         id="tmp-r-eddc0096-6ace-4ef9-b662-eeba5f87a207">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ASSIGNED')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:id"
         id="tmp-r-cf0eb34e-eb83-4e50-9196-c6e92d954a9c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:code"
         id="tmp-r-0186ad06-bc23-493c-9eaa-4c58f96a7bdc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:addr
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:addr"
         id="tmp-r-b0c7da16-39c2-4616-a5f7-522ace36fbe3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:telecom
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:telecom"
         id="tmp-r-a78b0bd0-3a64-4fdb-b3da-c46941e58a07">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-b5fd53e6-787a-4631-8e1f-05a80db001dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('PSN')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-r-1ce63fc8-929f-4a45-a6ac-ed1eae5230a4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAResponsiblePartyBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-4b9437d6-0012-406c-867a-e3086a9b83b1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity"
         id="tmp-r-f3b16f9d-eda7-4f54-af47-d7e7df04a366">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ORG')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:id"
         id="tmp-r-8b2827e2-2424-44d7-a8fb-6392b86ba3c3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='RESP']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="tmp-r-92701521-0956-46db-b690-f0abf9c147bc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9032
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']
Item: (kezo-CDADossierhouder)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']"
         id="tmp-r-a4aff1eb-a4cd-4a5e-8f95-347fc98df5a5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(kezo-CDADossierhouder): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-CDADossierhouder): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(kezo-CDADossierhouder): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9032-2014-11-13T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-CDADossierhouder): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:time
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:time"
         id="tmp-r-cab9a419-d9a4-4b11-b770-136c4caa30eb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole"
         id="tmp-r-79bc3e4e-0825-4c0c-85b3-353e970b8387">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ASSIGNED')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:id"
         id="tmp-r-4a8b5a06-1e32-4c34-a8bb-08ecc3d1c56b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:code"
         id="tmp-r-2c8a8009-683c-4b8d-aeff-1a6c35738f35">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:addr
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:addr"
         id="tmp-r-de0705a5-c3ed-42ea-b97b-ca0994afaace">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:telecom
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:telecom"
         id="tmp-r-8563c383-4f60-48c6-b10d-d89ea0dcae13">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-a75e1366-0893-469c-bee0-05be2f070696">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('PSN')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-r-958cd3f4-ae9e-4725-814d-4818cd021728">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAResponsiblePartyBody): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-79ad44c7-6166-48e9-bff7-52233e4eb9d7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity"
         id="tmp-r-b34eb5b1-6a28-4ada-9fc6-eca20f0169ad">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@classCode)=('ORG')">(kezo-CDAResponsiblePartyBody): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-CDAResponsiblePartyBody): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAResponsiblePartyBody): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:id"
         id="tmp-r-5a730f11-1804-4985-b437-678d43d87260">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9030
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (kezo-CDAResponsiblePartyBody)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:participant[@typeCode='CST']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="tmp-r-8c7f0d39-2fed-42ef-b7b8-3170a7c5394f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAResponsiblePartyBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9030-2014-11-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(kezo-CDAResponsiblePartyBody): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]
Item: (opleverenAlgemeneUitslagen)
-->
   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.8']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(opleverenAlgemeneUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-08-18T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(opleverenAlgemeneUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
